Subject: Re: bug#39992: Merge external idlwave development efforts into GNU Emacs?

From: JD Smith <[email-masked]>
Date: Sun, 19 Sep 2021 12:41:12 -0400

I’m happy for anyone to work on merging the latest IDLWAVE into Emacs, and I can assist with this process as time allows.  This might require some moderate effort, since I believe I refactored and simplified the code layout (in an attempt to attract a new maintainer) after my last push into emacs core.  This refactoring occurred around 20015/16. My last commit on GitHub was actually in 2018.  

I’ve also discussed with several of the emacs devels over the years moving IDLWAVE to a package on Elpa.  I think that’s a more appropriate home, since there are not terribly many users (as judged by the number of email queries I get now vs. a decade ago).

I still use IDLWAVE, but far more rarely than before.  There is currently a bug related to routine info scanning that I need to look into.  I’m happy to do this in the context of a merged core/elpa package if someone is able to lead that effort.  There were numerous changes on the emacs side based on obsoleted functions, etc. that I never found the time to bring over. 

And needless to say, if you know of any users of IDLWAVE who are interested in taking over maintenance and overseeing its re-folding back into the emacs core/elpa, I’d be delighted to speak with them. 

Best,
JDS

> On Sep 19, 2021, at 12:05 PM, Stefan Kangas <[email-masked]> wrote:
> 
> Stefan Kangas <[email-masked]> writes:
> 
>> Stefan Kangas <[email-masked]> writes:
>> 
>>> I don't use it myself, but I noticed that there is ongoing development
>>> of idlwave.el here:
>>> 
>>>    https://github.com/jdtsmith/idlwave
>>> 
>>> As far as I can tell from the git log, the last change to idlwave by
>>> JD Smith was on Fri Apr 27 19:34:22 2007 +0000.
>>> 
>>> Would it be possible to merge this effort into the version distributed
>>> with GNU Emacs itself?  That way more users could benefit from the
>>> improvements.
>> 
>> I note that on the GitHub page, there has since been added a note:
>> 
>>    Note: IDLWAVE is currently not maintained. In current form it
>>    supports IDL v8.6, and is still in daily use by some users.
>> 
>>    If you are interested in taking over IDLWAVE maintenance, please
>>    post an issue. See the DEVELOP file for information on the file
>>    structure layout.
>> 
>> I'm not sure what this means for the idlwave we ship with Emacs.
>> 
>> JD Smith, do you mind if someone else tries to on merge your external
>> development efforts into Emacs itself?
> 
> The above email bounced, so I have now copied in the email address used
> in the GitHub repository.